Package org.eclipse.draw2d

# Class KeyListener.Stub

java.lang.Object
org.eclipse.draw2d.KeyListener.Stub

All Implemented Interfaces:
  `KeyListener`

Enclosing interface:
  KeyListener

public static class KeyListener.Stub extends Object implements KeyListener
An empty implementation of KeyListener for convenience.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.KeyListener

`KeyListener.Stub`

## Constructor Summary

Constructors
Constructor
Description
`Stub()`

## Method Summary

Modifier and Type
Method
Description
`void`
`keyPressed(KeyEvent ke)`
Called when a key is pressed.
`void`
`keyReleased(KeyEvent ke)`
Called when a key is released.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Stub

public Stub()

## Method Details

### keyPressed

public void keyPressed(KeyEvent ke)
Description copied from interface: `KeyListener`
Called when a key is pressed.

Specified by:
  `keyPressed` in interface `KeyListener`
Parameters:
  `ke` - The KeyEvent object
See Also:
  - `KeyListener.keyPressed(KeyEvent)`

### keyReleased

public void keyReleased(KeyEvent ke)
Description copied from interface: `KeyListener`
Called when a key is released.

Specified by:
  `keyReleased` in interface `KeyListener`
Parameters:
  `ke` - The KeyEvent object
See Also:
  - `KeyListener.keyReleased(KeyEvent)`